org.apache.struts2.util

## Class AttributeMap

- java.lang.Object
- - org.apache.struts2.util.AttributeMap

- All Implemented Interfaces:
    Map

      public class AttributeMap
      extends Object
      implements Map

  A Map that holds 4 levels of scope.

  The scopes are the ones known in the web world:

  - Page scope
  - Request scope
  - Session scope
  - Application scope
  A object is searched in the order above, starting from page and ending at application scope.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `UNSUPPORTED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeMap(Map context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `boolean` | `containsKey(Object key)`
    `boolean` | `containsValue(Object value)`
    `Set` | `entrySet()`
    `Object` | `get(Object key)`
    `boolean` | `isEmpty()`
    `Set` | `keySet()`
    `Object` | `put(Object key, Object value)`
    `void` | `putAll(Map t)`
    `Object` | `remove(Object key)`
    `int` | `size()`
    `String` | `toString()`
    `Collection` | `values()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, equals, forEach, getOrDefault, hashCode, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Field Detail

    - #### UNSUPPORTED

          protected static final String UNSUPPORTED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AttributeMap

          public AttributeMap(Map context)

  - ### Method Detail

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `Map`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Map`

    - #### containsKey

          public boolean containsKey(Object key)

      Specified by:
        `containsKey` in interface `Map`

    - #### containsValue

          public boolean containsValue(Object value)

      Specified by:
        `containsValue` in interface `Map`

    - #### entrySet

          public Set entrySet()

      Specified by:
        `entrySet` in interface `Map`

    - #### get

          public Object get(Object key)

      Specified by:
        `get` in interface `Map`

    - #### keySet

          public Set keySet()

      Specified by:
        `keySet` in interface `Map`

    - #### put

          public Object put(Object key,
                            Object value)

      Specified by:
        `put` in interface `Map`

    - #### putAll

          public void putAll(Map t)

      Specified by:
        `putAll` in interface `Map`

    - #### remove

          public Object remove(Object key)

      Specified by:
        `remove` in interface `Map`

    - #### size

          public int size()

      Specified by:
        `size` in interface `Map`

    - #### values

          public Collection values()

      Specified by:
        `values` in interface `Map`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.